commit:     0d74df1e9a28fe9f9785b926a7c69ba3b29f5a01
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Dec  2 20:08:09 2015 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Dec  2 20:08:35 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0d74df1e

dev-lang/ekopath: Snapshot bump

 dev-lang/ekopath/Manifest                         |  1 +
 dev-lang/ekopath/ekopath-6.0.600_p20151125.ebuild | 74 +++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/dev-lang/ekopath/Manifest b/dev-lang/ekopath/Manifest
index 046151d..95a9238 100644
--- a/dev-lang/ekopath/Manifest
+++ b/dev-lang/ekopath/Manifest
@@ -1,2 +1,3 @@
 DIST ekopath-2015-10-10-installer.run 57723481 SHA256 
0cd16e8c70d3e7938474e8885a721f0e50871a01a742b7a653dd1e6791e32baf SHA512 
a4e33475b0fce0f3e9e0b744f1ba898983223cee15861491b6f7c3584c381b25c922fc17a7fd759f609f8c73ecbfbd53eeaaea38ddd9151d1cd7e46d0f1cf883
 WHIRLPOOL 
45744d16e34297ba47bc028382f1dc29cf0611cbff76a179640629ea89526818b4580c63e69d54541bbe915963c761b9abfe809ee2854be58e73ad80bc4e7143
 DIST ekopath-2015-10-29-installer.run 57559240 SHA256 
eea8bba70f89ccaaf8f5eb48bdd7200d54a1af2d993ac850c5d08f39577eea50 SHA512 
62cdb322def3bccfac5c4c12f9b3fb1eeaa5a8251a5a4ee59dfff8e7b30463f45fce04d482cc16abbb3b263a88bf845723f22858bae5933570fc43841f970667
 WHIRLPOOL 
fa3a8dd365840c33dd4139bd139e902bf990b0d3ebc736c661060c4faf4e79f41c93c6961b7fd7b46e9aa20e38fbb4265480a006450f728825440392af228351
+DIST ekopath-2015-11-25-installer.run 57197459 SHA256 
884877a0586ecac3b21a1575e3d2445bda1daf09d68c0dde4cc0d0eb56a3feb2 SHA512 
931b36e55592752b5851c98413082a99d537502a6184fa787043f9986554a1f5004e3a9c197851789f2b251b77a663c0dca6fae304bc5da4318b790c4b396ac9
 WHIRLPOOL 
a783a994d17e214c205ba1ebdce0f071f1cfd5db65adc7a1ec939d0dfd901a875e76260bbf540d8229016967ee3ac5fb3091f894e4edbfe391807e407d3e5a6c

diff --git a/dev-lang/ekopath/ekopath-6.0.600_p20151125.ebuild 
b/dev-lang/ekopath/ekopath-6.0.600_p20151125.ebuild
new file mode 100644
index 0000000..c886d13
--- /dev/null
+++ b/dev-lang/ekopath/ekopath-6.0.600_p20151125.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit versionator multilib pax-utils
+
+MY_PV=$(get_version_component_range 1-3)
+DATE=$(get_version_component_range 4)
+DATE=${DATE#p}
+DATE=${DATE:0:4}-${DATE:4:2}-${DATE:6}
+INSTALLER=${PN}-${DATE}-installer.run
+
+DESCRIPTION="PathScale EKOPath Compiler Suite"
+HOMEPAGE="http://www.pathscale.com/ekopath-compiler-suite";
+SRC_URI="http://c591116.r16.cf2.rackcdn.com/${PN}/nightly/Linux/${INSTALLER}";
+
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="!!app-arch/rpm"
+RDEPEND=""
+
+RESTRICT="bindist mirror"
+
+QA_PREBUILT="
+       opt/${PN}/lib/${MY_PV}/x8664/*
+       opt/${PN}/bin/*"
+
+S="${WORKDIR}"
+
+src_unpack() {
+       cp "${DISTDIR}/${INSTALLER}" "${S}/" || die
+       chmod +x "${S}/${INSTALLER}" || die
+}
+
+src_prepare() {
+       cat > 99${PN} <<-EOF || die
+               PATH=${EROOT%/}/opt/${PN}/bin
+               ROOTPATH=${EROOT%/}/opt/${PN}/bin
+               
LDPATH=${EROOT%/}/opt/${PN}/lib:${EROOT%/}/opt/${PN}/lib/${MY_PV}/x8664/64
+               MANPATH=${EROOT%/}/opt/${PN}/docs/man
+       EOF
+}
+
+src_install() {
+       # EI_PAX marking is obsolete and PT_PAX breaks the binary.
+       # We must use XT_PAX to run the installer.
+       if [[ ${PAX_MARKINGS} == "XT" ]]; then
+               pax-mark m "${INSTALLER}"
+       fi
+
+       ./"${INSTALLER}" \
+               --prefix "${ED%/}/opt/${PN}" \
+               --mode unattended || die
+
+       if [[ ! -d ${ED%/}/opt/${PN}/lib/${MY_PV} ]]; then
+               local guess
+               cd "${ED%/}/opt/${PN}/lib" && guess=( * )
+
+               if [[ ${guess[@]} ]]; then
+                       die "Incorrect release version in PV, guessing it 
should be: ${guess[*]}"
+               else
+                       die "No libdir installed"
+               fi
+       fi
+       [[ -x ${ED%}/opt/${PN}/bin/pathcc ]] || die "No pathcc executable was 
installed, your hardware is unsupported most likely"
+
+       rm -r "${ED}/opt/${PN}"/uninstall* || die
+       doenvd 99${PN}
+}

Reply via email to